Bug 178175 - CVE-2006-0254 tomcat examples XSS
CVE-2006-0254 tomcat examples XSS
Status: CLOSED ERRATA
Product: Red Hat Application Server
Classification: Retired
Component: tomcat (Show other bugs)
2.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Fernando Nasser
reported=20060117,source=cve,public=2...
: Security
Depends On:
Blocks: CVE-2006-0254
  Show dependency treegraph
 
Reported: 2006-01-18 05:45 EST by Mark J. Cox (Product Security)
Modified: 2008-01-29 04:58 EST (History)
2 users (show)

See Also:
Fixed In Version: RHSA-2006-0161
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-11 13:01:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2006-01-18 05:45:47 EST
A new cross-site scripting flaw has been reported in the tomcat jsp examples as
shipped in tomcat5-webapps in Red Hat Application Server.  See

http://issues.apache.org/jira/browse/GERONIMO-1474

This is fixed in upstream svn.

Marking this as moderate severity as users should not be putting examples into
production environments.  I've held off marking it low as the examples ought to
show good practices and our users may copy the bad behaviour.

Note also these issues
http://issues.apache.org/bugzilla/show_bug.cgi?id=32953

Note: We've not looked which of these issues actually affect the tomcat5-webapps
package.
Comment 4 Marcel Holtmann 2006-07-11 13:01:48 EDT
This issue has been fixed upstream with Tomcat version 5.5.12 and the upstream
version is part of errata RHSA-2006:0161.

http://rhn.redhat.com/errata/RHSA-2006-0161.html

Note You need to log in before you can comment on or make changes to this bug.